Package: org.gmetrics.metric.coupling

## [Groovy] Class AfferentCouplingReferenceManager

- org.gmetrics.metric.coupling.AfferentCouplingReferenceManager

- Maintains a mapping of packageName -> packages that reference it, as well as a reference to a MetricResult for the associated PackageResultsNode. As this object is updated with subsequent package references, the MetricResult is updated as well. So, the MetricResult for a PackageResultNode is not "complete" until all of the packages have been processed.

  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static String` | `REFERENCED_FROM_PACKAGES` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractCouplingReferenceManager` | `ROOT, metricResultMap, referencesFromPackage`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AfferentCouplingReferenceManager (Metric metric)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected MutableMapMetricResult` | `createEmptyMetricResult()`
    `` | `void` | `updateStatisticsForAllPackages()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCouplingReferenceManager` | `addReferencesFromPackage, createEmptyMetricResult, getPackageMetricResult, getReferencesFromPackage, isSourcePackageOrAncestor, normalizePackageName, parentPackageName, sortPackagesWithReferencesWithParentFirst, updateStatisticsForAncestorPackage`

- - ### Field Detail

    - #### protected static final String REFERENCED_FROM_PACKAGES

  - ### Constructor Detail

    - #### AfferentCouplingReferenceManager(Metric metric)

  - ### Method Detail

    - #### @Override protected MutableMapMetricResult createEmptyMetricResult()

    - #### void updateStatisticsForAllPackages()